Bug 659602 - freshclam-sleep output: This version of the ClamAV engine is outdated.
Summary: freshclam-sleep output: This version of the ClamAV engine is outdated.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 14
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-03 07:02 UTC by Jan ONDREJ
Modified: 2011-09-13 02:21 UTC (History)
7 users (show)

Fixed In Version: clamav-0.97-1400.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-09 03:12:31 UTC
Type: ---


Attachments (Terms of Use)

Description Jan ONDREJ 2010-12-03 07:02:24 UTC
Description of problem:
A new version of clamav has been released again. There are again lots of messages from freshclam-sleep, that my clamav installation is outdated.

Version-Release number of selected component (if applicable):
clamav-0.96.4-1400.fc14.i686

How reproducible:
after each update

Steps to Reproduce:
1. let clamav to download some updates (you should remove for example daily.cvd)
  
Actual results:
From root@work.xxxxxx.sk  Fri Dec  3 07:49:39 2010                             
From: Cron Daemon <root@work.xxxxxx.sk>                                        
Date: Fri,  3 Dec 2010 07:49:39 +0100 (CET)                                     
To: root@work.xxxxxx.sk                                                        
Subject: Cron <root@work> /usr/share/clamav/freshclam-sleep                     

LibClamAV Warning: ***********************************************************
LibClamAV Warning: ***  This version of the ClamAV engine is outdated.     ***
LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/support/faq ***
LibClamAV Warning: ***********************************************************

Expected results:
Nothing.

Additional info:
You can filter out these messages in freschclam-sleep script for example this way:

freshclam --quiet 2>&1 | grep -v '^LibClamAV Warning: \*\*\*'

Please, these messages are very disturbing, if I have multiple servers with clamav installation. If you can't check, if this message was already sent to admin, do not send it. Thank you.

Comment 1 Eddie Lania 2010-12-03 07:21:16 UTC
This also bugs me on fc13.

Comment 2 Sandro Janke 2010-12-17 19:16:02 UTC
Apparently freshclam doesn't honour the '--no-warnings' switch either. I added it on line 53 of the freshclam-sleep script, but still receive the warning messages.

Comment 3 Fedora Update System 2011-03-05 01:49:52 UTC
clamav-0.97-1400.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/clamav-0.97-1400.fc14

Comment 4 Fedora Update System 2011-03-05 01:51:03 UTC
clamav-0.97-1500.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/clamav-0.97-1500.fc15

Comment 5 Fedora Update System 2011-03-05 01:52:05 UTC
clamav-0.97-1300.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/clamav-0.97-1300.fc13

Comment 6 Fedora Update System 2011-03-05 19:24:08 UTC
clamav-0.97-1500.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clamav'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/clamav-0.97-1500.fc15

Comment 7 Fedora Update System 2011-03-09 03:12:02 UTC
clamav-0.97-1500.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-03-13 21:17:53 UTC
clamav-0.97-1300.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-13 21:20:27 UTC
clamav-0.97-1400.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.